package com.peup.service.impl;

import org.springframework.batch.item.ParseException;
import org.springframework.batch.item.UnexpectedInputException;
import org.springframework.batch.item.file.MultiResourceItemReader;

public class SyncMultiResourceItemReader<T> extends MultiResourceItemReader<T> {

	@Override
	public T read() throws Exception, UnexpectedInputException, ParseException {
		synchronized (this) {
			return super.read();
		}
	}

//	public void init() throws IOException {
//		List<Resource> ResourceInter = new ArrayList<Resource>();
//		for (String fileUrl : App.ARGS) {
//			ResourceInter.add(UtilService.getByteFromFile(fileUrl));
//		}// for
//		super.setResources(ResourceInter.toArray(new Resource[ResourceInter
//				.size()]));
//	}

}