package com.peup.service.impl;

import org.apache.log4j.Logger;
import org.springframework.batch.item.ItemProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.peup.dto.DossierRedevableDto;
import com.peup.mappers.mapper.MappingDossierRedevableToDossierRedevableExport;
import com.peup.dto.DossierRedevableExport;
import com.peup.service.ITransformRMProcessor;

@Service
public class TransformRMProcessor
		implements ItemProcessor<DossierRedevableDto, DossierRedevableExport>, ITransformRMProcessor {

	private final static Logger logger = Logger.getLogger(TransformRMProcessor.class);

	@Autowired
	MappingDossierRedevableToDossierRedevableExport mappingRmAmiToRmWeb;

	public DossierRedevableExport process(DossierRedevableDto item) throws Exception {
			return mappingRmAmiToRmWeb.mapRmAmi(item);
	}
}