package com.peup.adapter;

import java.math.BigInteger;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class JaxbBigIntegerAdapter extends XmlAdapter<String, BigInteger> {

	@Override
	public String marshal(BigInteger obj) throws Exception {
		
		return obj.toString();

	}

	@Override
	public BigInteger unmarshal(String obj) throws Exception {
	
		return new BigInteger(obj.replaceAll(",", ""));

	}

}