package com.peup.listener;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.batch.core.ItemProcessListener;

import com.peup.AppPeup;
import com.peup.service.util.UtilGenerateCsv;

public class CustomItemProcessListener implements
		ItemProcessListener<Object, Object> {
	private final static Logger logger = Logger
			.getLogger(CustomItemProcessListener.class);
	List<String> listError = new ArrayList<String>();

	public void beforeProcess(Object item) {
		logger.info("ItemProcessListener - beforeProcess");
		AppPeup.MESSAGESLOG.put(UtilGenerateCsv.STEP_NAME, "beforeProcess");

	}

	public void afterProcess(Object item, Object result) {
		logger.info("ItemProcessListener - afterProcess");
		AppPeup.MESSAGESLOG.put(UtilGenerateCsv.STEP_NAME, "afterProcess");

	}

	public void onProcessError(Object item, Exception e) {
		logger.info("ItemProcessListener - onProcessError");
		AppPeup.MESSAGESLOG.put(UtilGenerateCsv.ERROR, "onProcessError");

	}

}
