package com.peup.service.impl;

import org.apache.log4j.Logger;
import org.springframework.batch.core.StepContribution;
import org.springframework.batch.core.scope.context.ChunkContext;
import org.springframework.batch.core.step.tasklet.Tasklet;
import org.springframework.batch.repeat.RepeatStatus;
import org.springframework.beans.factory.annotation.Autowired;
 
/**
 * FailedStepTasklet Class illustrates a failed job.
 *
 * @author
 * @since 
 * @version 
 *
 */
public class FailedStepTasklet implements Tasklet {
 
    private static final Logger logger = Logger.getLogger(FailedStepTasklet.class);
 
    private String taskResult;
//    @Autowired
//    SendMailService sendMail;
    /**
     * Executes FailedStepTasklet
     *
     * @param StepContribution stepContribution
     * @param ChunkContext chunkContext
     * @return RepeatStatus
     * @throws Exception
     *
     */
	public RepeatStatus execute(StepContribution stepContribution,
			ChunkContext chunkContext) throws Exception {
		logger.debug("Task Result : " + getTaskResult());
		logger.info("Taskkkkkkkkkkkkkkkkkkkkkkkkkkk Result : "
				+ getTaskResult());
/*
		sendMail.sedMailLogoPriority(SpringPropertiesUtil.getProperty("mail.from"),
				SpringPropertiesUtil.getProperty("mail.to"),
				SpringPropertiesUtil.getProperty("mail.subject"),
				SpringPropertiesUtil.getProperty("mail.body"));
		logger.info("Mail sent..");
		*/
		// throw new Exception("Error occurred!");
		return null;
	}
 
    public String getTaskResult() {
        return taskResult;
    }
 
    public void setTaskResult(String taskResult) {
        this.taskResult = taskResult;
    }
 
}