package com.peup.service.impl;

import org.apache.log4j.Logger;
import org.springframework.batch.core.StepContribution;
import org.springframework.batch.core.scope.context.ChunkContext;
import org.springframework.batch.core.step.tasklet.Tasklet;
import org.springframework.batch.repeat.RepeatStatus;

public class SuccessStepTasklet implements Tasklet {

	private static final Logger logger = Logger
			.getLogger(SuccessStepTasklet.class);

	private String taskResult;

	public RepeatStatus execute(StepContribution stepContribution,
			ChunkContext chunkContext) throws Exception {	

		logger.debug("Task Result : " + getTaskResult());
		logger.info("Ok Result : " + getTaskResult());

		return null;
		// throw new Exception("Error occurred!");
	}

	public String getTaskResult() {
		return taskResult;
	}

	public void setTaskResult(String taskResult) {
		this.taskResult = taskResult;
	}

}